Subject: bug#29150: Fwd: 26.0.90; Input decoding is sometimes skipped in TTY (xterm-mouse-mode)

From: Stefan Monnier <[email-masked]>
Date: Thu, 09 Nov 2017 03:21:47 -0500

>> I'm not sure why, or what it would say.  `read-key` is a reasonably good
>> replacement for `read-event`, but it's still pretty brittle.
>> The better solution is to not "read" anything and let the main loop do
>> it for you (which is why I changed mouse-drag-track to use
>> set-transient-map instead of mucking with `read-event` or `read-key`).

> Assuming that no one ports evil-mode's code or updates the code in
> `mouse-drag-secondary' (there's already a FIXME for this there), is
> using `read-key' inside of `track-mouse' an acceptable stopgap solution?

I'm not sure I understand the question, but I think so, yes.

> Is it brittle enough to not apply the change to emacs-26?

I think in the help.el case, it would be a clear improvement.

        Stefan